import { post } from '@/api/http'
export default {
    // 更新册别
    SaveOrUpdateVolume: function(data) {
        return post('/research/ability/upsert', data)
    },
	FindVolumes:function(data) {
        return post('/research/ability/find', data)
    },
	FindAbilityById:function(data) {
	    return post('/research/ability/find-id', data)
	},
	DeleteVolume:function(data) {
	    return post('/research/ability/delete', data)
	},
	GetTreeByVolume:function(data) {
	    return post('/research/ability-task/find-id', data)
	},
	UpsertTree:function(data) {
	    return post('/research/ability-task/upsert-tree', data)
	},
	DeleteTree:function(data) {
	    return post('/research/ability-task/delete', data)
	},
	ShareTree:function(data) {
	    return post('/teacher/share/to', data)
	},
	FindShare:function(data) {
	    return post('/teacher/share/find', data)
	},
	ViewShare:function(data) {
	    return post('/teacher/share/view-share', data)
	},
	ShareAgree:function(data) {
	    return post('/teacher/share/agree-share', data)
	},
	CheckLink:function(data) {
	    return post('/common/syllabus/check-link', data)
	},
	// 查找知识块数量
	FindBlockCount: function (data) {
		return post('/knowledges/find-count', data)
	},
	/* 问卷相关 */
	getSurveyList:function (data) {
		return post('/common/TrSurvey/find', data)
	},
	getSurveySummary:function (data) {
		return post('/common/TrSurvey/find-summary', data)
	},
	saveSurvey:function (data) {
		return post('/common/TrSurvey/save', data)
	},
	deleteSurvey:function (data) {
		return post('/common/TrSurvey/delete', data)
	},
	/* 投票相关 */
	getVoteList:function (data) {
		return post('/common/TrVote/find', data)
	},
	getVoteSummary:function (data) {
		return post('/common/TrVote/find-summary', data)
	},
	saveVote:function (data) {
		return post('/common/TrVote/save', data)
	},
	deleteVote:function (data) {
		return post('/common/TrVote/delete', data)
	},
	/* 评测相关 */
	getExamList:function (data) {
		return post('/common/ExamLite/find', data)
	},
	getExamSummary:function (data) {
		return post('/common/ExamLite/find-summary', data)
	},
	saveExam:function (data) {
		return post('/common/ExamLite/save', data)
	},
	deleteExam:function (data) {
		return post('/common/ExamLite/delete', data)
	},
	//作业相关
	saveWork:function (data) {
		return post('/common/work/save', data)
	},
	deleteWork:function (data) {
		return post('/common/work/delete', data)
	},
	getWorkList:function (data) {
		return post('/common/work/find', data)
	},
	getWorkSummary:function (data) {
		return post('/common/work/find-summary', data)
	},
	//数据统计API
	FindTotalData: function (data) {
		return post('/research/ability/get-subs-statistics', data)
	},
	//校本研修审核学时
	AuditStudy: function (data) {
		return post('/common/study/audit', data)
	},
	getSchList: function (data) {
		return post('/school/area/find', data)
	},
	
	//根据区id查询学校及分组情况
	findAreaGroup(data){
		return post('/school/area/find-group', data)
	},
	
	//根据区id查询学校及分组情况
	saveAreaVote(data){
		return post('/school/area/save-vote', data)
	},
	
	getAreaVoteById(data){
		return post('/school/area/find-vote-id', data)
	},
	
	getAreaSurveyById(data){
		return post('/school/area/find-survey-id', data)
	},
	
	getAreaVotes(data){
		return post('/school/area/find-all-vote', data)
	},
	
	//根据区id查询学校及分组情况
	saveAreaSurveys(data){
		return post('/school/area/save-survey', data)
	},
	
	getAreaSurveys(data){
		return post('/school/area/find-all-survey', data)
	},
	
	getAreaVoteTeachers(data){
		return post('/school/area/find-all-vote-teachers', data)
	},
	
	getAreaSurveyTeachers(data){
		return post('/school/area/find-all-survey-teachers', data)
	},
	
	
	
	
	
	
}
